import 'package:freezed_annotation/freezed_annotation.dart';

part 'call_model.freezed.dart';
part 'call_model.g.dart';

@freezed
class CallModel with _$CallModel {
  factory CallModel({
    int? id,
    @JsonKey(name: 'dialer_id') int? dialerId,
    @JsonKey(name: 'receiver_id') int? receiverId,
    String? status,
    @JsonKey(name: 'initialized_time') DateTime? initializedTime,
    @JsonKey(name: 'receiver_joined_time') dynamic receiverJoinedTime,
    @JsonKey(name: 'ended_time') dynamic endedTime,
    @JsonKey(name: 'is_accepted') bool? isAccepted,
    @JsonKey(name: 'record_file') dynamic recordFile,
    @JsonKey(name: 'livekit_room_sid') dynamic livekitRoomSid,
    @JsonKey(name: 'created_at') DateTime? createdAt,
    @JsonKey(name: 'updated_at') DateTime? updatedAt,
    @JsonKey(name: 'deleted_at') dynamic deletedAt,
    @JsonKey(name: 'room_name') String? roomName,
    @JsonKey(name: 'dialer_avarta') String? image,
    @JsonKey(name: 'dialer_phone') String? phone,
    @JsonKey(name: 'dialer_name') String? name,
    @JsonKey(name: 'dialerDeviceToken') String? dialerDeviceToken,
  }) = _CallModel;

  factory CallModel.fromJson(Map<String, dynamic> json) =>
      _$CallModelFromJson(json);
}
