import 'package:freezed_annotation/freezed_annotation.dart';

part 'device_model.freezed.dart';
part 'device_model.g.dart';

@freezed
class DeviceModel with _$DeviceModel {
  factory DeviceModel({
    int? id,
    @JsonKey(name: 'device_id') String? deviceId,
    @JsonKey(name: 'device_type') String? deviceType,
    @JsonKey(name: 'device_token') String? deviceToken,
    @JsonKey(name: 'os_version') String? osVersion,
    String? name,
    @JsonKey(name: 'app_version') String? appVersion,
    @JsonKey(name: 'user_id') int? userId,
    @JsonKey(name: 'open_app_at') DateTime? openAppAt,
    @JsonKey(name: 'created_at') DateTime? createdAt,
    @JsonKey(name: 'updated_at') DateTime? updatedAt,
    @JsonKey(name: 'deleted_at') dynamic deletedAt,
  }) = _DeviceModel;

  factory DeviceModel.fromJson(Map<String, dynamic> json) =>
      _$DeviceModelFromJson(json);
}
