import 'package:sharing/remote/network/either.dart';
import 'package:sharing/remote/network/fetch_data.dart';
import 'package:sharing/remote/network/fetch_failure.dart';
import '../params/device_params.dart';

abstract class AccountRepository {
  Future<void> signIn(
      {required String loginkey,
      required password,
      required deviceId,
      required Function(FetchData) funDataServer,
      required Function(FetchFailure) funError});

  Future<Either<FetchFailure, String?>> signOut();

  Future<void> getExpertList(
      {String? specialize,
      required Function(FetchData) funDataServer,
      required Function(FetchFailure) funError});

  Future<void> getSpecializesList(
      {required Function(FetchData) funDataServer,
      required Function(FetchFailure) funError});

  Future<void> getUser(
      {required Function(FetchData) funDataServer,
      required Function(FetchFailure) funError});

  Future<void> devices(
      {required DeviceParams params,
      required Function(FetchData) funDataServer,
      required Function(FetchFailure) funError});
}
