import 'package:dio/dio.dart';
import 'package:injectable/injectable.dart';
import 'package:retrofit/http.dart' as http;
import 'package:retrofit/retrofit.dart';

import '../models/fcm_model/fcm_model.dart';

part 'firebase_service.g.dart';

@RestApi(baseUrl: "https://fcm.googleapis.com/fcm/")
@injectable
abstract class FirebaseService {
  @factoryMethod
  factory FirebaseService(@Named('base_dio') Dio dio) = _FirebaseService;

  @POST("/send")
  @http.Headers(<String, dynamic>{"Content-Type": "application/json"})
  Future<FcmModel?> sendCallNotification(@Header("Authorization") String authen,
      @Body() Map<String, dynamic> params);
}
