import 'package:chat_call_core/call_core.dart';
import 'package:chat_call_core/core/local/shared_pref_source.dart';
import 'package:chat_call_core/shared/di/injector.config.dart';
import 'package:chat_call_core/shared/di/injector.dart';
import 'package:flutter/material.dart';
import 'shared/di/injector.config.dart';
import 'package:sharing/common/values/sizes.dart';

BuildContext? contextExpert;

class ExpertCore {
  static initModule(
      {required String token,
      required Color primaryColor,
      required String domainUri}) async {
    await getIt<SharePrefSource>().cacheAuthToken(authToken: token);
    await getIt<SharePrefSource>()
        .cachePrimaryColor(color: primaryColor.toString());
    await getIt<SharePrefSource>().cacheDomainUrl(data: domainUri);
  }

  static initGetIt() async {
    Sizes.zoomSize = 2.6;
    await CallCore.initModule();
    $initGetItCall(getIt);
    $initGetItModule(getIt);
  }
}
