import 'package:flutter/material.dart';
import 'package:sharing/common/values/hex_color.dart';
import 'package:sharing/remote/model/application_config.dart';

import 'colors.dart';

class Themes {
  static ThemeData getTheme() {
    return ThemeData(
        primaryColor: AppColors.secondaryColor,
        primaryColorLight: AppColors.secondaryColor,
        primaryColorDark: AppColors.secondaryColor,
        iconTheme: IconThemeData(color: Colors.white),
        canvasColor: Colors.white,
        dividerColor: Colors.transparent,
        scaffoldBackgroundColor: Colors.white,
        highlightColor: Colors.transparent,
        focusColor: AppColors.secondaryColor);
  }

  static ColorScheme lightColorScheme(ApplicationConfig? appConfig) {
    return ColorScheme(
      primary: HexColor(appConfig?.primaryColor),
      secondary: HexColor(appConfig?.btn_color),
      background: AppColors.backgroundWhiteColor,
      surface: Color(0xFFFAFBFB),
      onBackground: Colors.white,
      error: Colors.red,
      onError: Colors.red,
      onPrimary: HexColor(appConfig?.primarySecondColor),
      onSecondary: Color(0xFF322942),
      onSurface: Color(0xFF241E30),
      brightness: Brightness.light,
    );
  }
}
